Subject: bug#73853: Should and-let* become a synonym for when-let*?

From: Michael Heerdegen <[email-masked]>
Date: Sun, 19 Jan 2025 06:08:37 +0100

Stefan Monnier <[email-masked]> writes:

> That goes back to my earlier question: what makes `and/when/if-let` so
> different from `ignore-errors` and so many other constructs.

What makes `pcase's let/app/pred/guard different from and/when/if-let?
There is likewise lots of redundancy, and the subtle differences are
hard to grasp and remember for a lot of people.  Would you remove the
two least used ones?

I also still remember your reaction when I had used a let pattern to do
destructuring with combined testing and you meant that it was not
designed for it and would be weird.  Because you associated a semantic
with it that was not necessarily implied for me.

So isn't your personal taste in this case here relevant too, for what
you want to do?

Michael.